.tree-holder {
  .tree-content-holder {
    float: left;
    width: 100%;
  }

  .tree_progress {
    display: none;
    margin: 20px;
    &.loading {
      display: block;
    }
  }

  .tree-table {
    @extend .table;
    @include border-radius(0);

    tr {
      &:hover {
        td {
          background: $hover;
          border-top: 1px solid #ADF;
          border-bottom: 1px solid #ADF;
        }
        cursor: pointer;
      }
      &.selected {
        td {
          background: #f5f5f5;
          border-top: 1px solid #EEE;
          border-bottom: 1px solid #EEE;
        }
      }
    }
  }

  .tree-item {
    .tree-item-file-name {
      max-width: 320px;
      vertical-align: middle;

      i {
        color: $gl-info;
      }

      img {
        position: relative;
        top:-1px;
      }
    }

    .tree_commit {
      max-width: 320px;
    }

    .tree_time_ago {
      min-width: 135px;
    }
  }

  .tree_author {
    padding-right: 8px;
  }

  .tree_commit {
    color: gray;

    .tree-commit-link {
      color: #444;
      &:hover {
        text-decoration: underline;
      }
    }
  }

  .blame {
    img.avatar {
      border: 0 none;
      float: none;
      margin: 0;
      padding: 0;
    }
    td.blame-commit {
      background: #f9f9f9;
      min-width: 350px;
    }
    td.blame-numbers {
      pre {
        color: #AAA;
        white-space: pre;
      }
      background: #f1f1f1;
      border-left: 1px solid #DDD;
    }
    td.lines {
      code {
        font-family: $monospace_font;
      }
    }
  }
}

.tree-download-holder .btn {
  padding: 4px 12px;
}

.tree-ref-holder {
  float: left;
  margin-right: 6px;

  .select2-container .select2-choice, .select2-container.select2-drop-above .select2-choice {
    padding: 4px 12px;
  }
}

.readme-holder {
  .readme-file-title {
    font-size: 14px;
    font-weight: bold;
    margin-bottom: 20px;
    color: #777;
    border-bottom: 1px solid #DDD;
    padding: 10px 0;
  }
}

.blob-commit-info {
  list-style: none;
  margin: 0;
  padding: 0;
  margin-bottom: 10px;

  .commit {
    padding: 10px 15px;

    .commit-row-title {
      font-size: 13px;

      .commit-row-message {
        font-weight: normal;
        color: #555;
      }
    }
  }
}

#modal-remove-blob > .modal-dialog { width: 850px; }
